2024-04-19 23:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004784TVSportsBasketball[WHDLoad Installs Games] slavepublic2020-08-29 23:36
ReporterRetroplay 
Assigned ToJOTDProject InfoTV Sports Basketball (Cinemaware)
http://www.whdload.de/games/TVSportsBasketball.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
Summary0004784: TV Sports Basketball v1.2 exception error
DescriptionLatest v1.2 slave crashes with
Exception "Address Error" ($B00C) at $11FDC0C3 occured.
log file attached.

I used SPS 2122 images (working with old v1.0 slave)
Steps To ReproduceJust load game.
Immediately after it crashes.
Additional InformationWinUAE 4.4.0 64-bit
ClassicWB Full 3.1
WHDLoad 18.6.6030

Crashes with exception error when using cycle-exact.
Locks up with HALT3 without cycle-exact.
TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed33
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.6beta
imported
Attached Files
  • ? file icon .whdl_register (2,512 bytes) 2020-08-18 21:54 -
    ************************* 18-Aug-20 21:44:51 ************************18.6.6030***
    Slave='TVSportsBasketball.Slave' (6424 bytes)
    Resload   47F26000 - 47F2D6D8 (  30424) at 47F26000  GL=$47FF0000
    Slave     47FF9000 - 47FFA8F4 (   6388) at 47FF9000  BaseMemSize=$80000
    ExpMem    47F2F000 - 47FEF000 ( 786432) at 47F2F000
    attn=207(UAE,30) fc=4 kn=23100 cs=F2F4 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3E(SS,BC,SB,DC,IC,SCB,ECB,BWT)
    
    Exception "Address Error" ($B00C) at $11FDC0C3 occured.
    exception stackframe:
    $47FEEFA4 000011FD C0C3B00C 00000062 67004CDF 11FDC0C3 4CDF0000 00000000 00000000
    $47FEEFC4 00000000 00000000 00F20007 11FDC0C3 00000000 00000000 00000000 00000000
    $47FEEFE4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    regular stack:
    $47F7484C 47F63704 00000000 47F74480 47F73E08 47F63134 47F63128 47F6346E 496E6974
    $47F7486C 69616C20 434C4900 00000000 00000018 00000004 11FD8B86 11FD8FE8 11FD9CB5
    $47F7488C 00000000 00000018 00000000 11FDBF6B 00000000 00000000 00000000 00000058
    $47F748AC 00000014 47F741D4 00000000 00000000 00000000 00000000 00000000 00000000
    $47F748CC 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx 47F70534         C  47F70534         C         1  47F744AC         3  FFFFFF76
    Ax        1         0       10A  47F64EA8  47F636E8  47F63134  11FDC14D
    
                     TTSM III   XNZVC
    PC=11FDC0C322m  SR %00000000000000001m  USP=47F7484C  ISP=47FEEFA4  MSP=7F800
    VBR=47FF1000  SFC=4  DFC=4  CACR=2111  CAAR=0  TT0=FF8540  TT1=0
    TC=80C07760  CRP=8000000247F24000  SRP=8000000247F24000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000010110022m dmacon=%1m0010001011010000 adkcon=$1100
    intreq=%0000000001000000
    vposr....A300  vhposr...024D  joy0dat..0103  joy1dat..0000  clxdat...8000  
    pot0dat..1800  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..2000  
    deniseid.00F8  hhposr...00B1  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=C87D<FFFF	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=00003B  icr=00  sdr=00    event=00013A  icr=00  sdr=00
    
    ? file icon .whdl_register (2,512 bytes) 2020-08-18 21:54 +
  • ? file icon .whdl_register_v1.3 (2,512 bytes) 2020-08-23 16:20
  • ? file icon -2.whdl_register (3,693 bytes) 2020-08-26 15:12 -
    ************************* 26-Ago-20 14:52:20 ************************18.6.6030***
    Slave='TVSportsBasketball.slave' (6424 bytes)
    Resload   7FEC7000 - 7FECF23C (  33340) at 7FEC7000  GL=$7FED1000
    Slave     7FEDA000 - 7FEDB8F4 (   6388) at 7FEDA000  BaseMemSize=$80000
    ExpMem    7FDAD000 - 7FE6D000 ( 786432) at 7FDAD000
    attn=FF(60,82) fc=-1 kn=22451 cs=F2F4 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3E(SS,BC,SB,DC,IC,SCB,ECB,BWT)
    
    Exception "Access Fault" ($4008) PC = $7FEDB472 (Task 'File System', Slave
    $1472) Long Read from $FFFFFFFC
    
    $7fedb44a moveq        #0,d0
    $7fedb44c lea          ($c,a3),a0                     ;$0000000c
    $7fedb450 cmpa.l       (a0)+,a2                       ;$00000000
    $7fedb452 bne.w        $7fedb458
    $7fedb456 clr.l        (a0)                           ;$00000000
    $7fedb458 add.l        (a0)+,d0                       ;$00000000
    $7fedb45a tst.l        (a0)                           ;$00000000
    $7fedb45c bne.w        $7fedb450
    $7fedb460 move.l       (0,a3),a4                      ;$00000000
    $7fedb464 tst.l        d0
    $7fedb466 bne.w        $7fedb478
    $7fedb46a move.l       a3,a1
    $7fedb46c jsr          (-$fc,a6)                      ;$7fded17a
    $7fedb470 move.l       a3,a1
    1m$7fedb472 move.l       -(a1),d0                       ;$00000000
    22m$7fedb474 jsr          (-$d2,a6)                      ;$7fded1a4
    $7fedb478 move.l       a4,a3
    $7fedb47a move.l       a4,d0
    $7fedb47c bne.w        $7fedb44a
    $7fedb480 move.l       (a2),a2                        ;$00006d0c
    $7fedb482 move.l       a2,d0
    $7fedb484 bne.w        $7fedb442
    $7fedb488 jsr          (-$8a,a6)                      ;$7fded1ec
    $7fedb48c movem.l      (a7)+,d0-d1/a0-a4/a6           ;$7fdf374c
    $7fedb490 rts
    $7fedb492 movem.l      d2-d3/a3-a4,-(a7)              ;$7fdf374c
    $7fedb496 move.l       ($7fedb51a,pc),d3
    $7fedb49a moveq        #0,d0
    $7fedb49c move.l       d3,a3
    
    exception stackframe:
    $7FE6CFF0 00007FED B4724008 FFFFFFFC 01010800
    regular stack:
    $7FDF374C 00000024 00001B43 00000000 7FDF3618 7FDF2F54 7FDEC132 7FDE47C0 7FDE1128
    $7FDF376C 7FEDA7B6 7FDE47D0 7FDE146E 46696C65 20537973 74656D00 00000000 00000000
    $7FDF378C 00078078 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7FDF37AC 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7FDF37CC 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0      1B43      6D0C         1         0  7FDF3574  7FDF33DC        19
    Ax        0         0      6D0C         0         0  7FDE1134  7FDED276
    
                     TTSM III   XNZVC
    PC=7FEDB47222m  SR %00000000000000001m  USP=7FDF374C  SSP=7FE6CFF0
    VBR=7FED2000  SFC=5  DFC=1  CACR=A0808000  PCR=4300623  BUSCR=0
    TC=8000  URP=7FEDD000  SRP=7FEDD000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000110110022m dmacon=%1m0010001011010000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...027D  joy0dat..0002  joy1dat..0000  clxdat...8001  
    pot0dat..FC00  pot1dat..0000  potinp...5500  serdatr..3B00  dskbytr..A000  
    deniseid.00F8  hhposr...FFAC  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=C87E<FFFF	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000036  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ? file icon -2.whdl_register (3,693 bytes) 2020-08-26 15:12 +
  • zip file icon TVSportsBasketball.zip (4,127 bytes) 2020-08-27 21:21

-Relationships
duplicate of 0004785closedJOTD Exception "Access Fault" ($B008) 
+Relationships

-Notes

note ~0009067

Hexaae (reporter)

Same here

note ~0009086

JOTD (developer)

Last edited: 2020-08-23 12:40

View 2 revisions

have you tried with NOCACHE? game works okay on winuae but I have changed cache settings (probably a mistake)

attached a 1.3 slave with old cache settings.

note ~0009088

Retroplay (reporter)

NoCache doesn't help, HALT3 or Exception Fault still happens.

Same with v1.3 slave.
New v1.3 register attached.

note ~0009097

funkazzista (reporter)

Different exception on my (real) Amiga but same behaviour as above: .whdl_register of mine here attached.
(v1.3 slave didn't make any difference.)

note ~0009104

Retroplay (reporter)

Latest v1.3 slave (2020-08-27) works for me.

note ~0009105

Hexaae (reporter)

1.3 works fine for me too.

note ~0009110

Retroplay (reporter)

Issue fixed, this can be closed like the duplicate ticket.
http://mantis.whdload.de/view.php?id=4785
+Notes

-Issue History
Date Modified Username Field Change
2020-08-18 21:54 Retroplay New Issue
2020-08-18 21:54 Retroplay File Added: .whdl_register
2020-08-19 21:55 Hexaae Note Added: 0009067
2020-08-22 21:31 JOTD Assigned To => JOTD
2020-08-22 21:31 JOTD Status new => assigned
2020-08-23 12:36 JOTD Note Added: 0009086
2020-08-23 12:40 JOTD File Added: TVSportsBasketball.zip
2020-08-23 12:40 JOTD Note Edited: 0009086 View Revisions
2020-08-23 16:20 Retroplay File Added: .whdl_register_v1.3
2020-08-23 16:22 Retroplay Note Added: 0009088
2020-08-26 15:12 funkazzista File Added: -2.whdl_register
2020-08-26 15:12 funkazzista Note Added: 0009097
2020-08-27 21:20 JOTD File Deleted: TVSportsBasketball.zip
2020-08-27 21:21 JOTD File Added: TVSportsBasketball.zip
2020-08-27 21:23 JOTD Status assigned => feedback
2020-08-27 22:14 Retroplay Note Added: 0009104
2020-08-27 22:14 Retroplay Status feedback => assigned
2020-08-28 01:10 Hexaae Note Added: 0009105
2020-08-29 19:53 Retroplay Note Added: 0009110
2020-08-29 23:36 JOTD Status assigned => closed
2020-08-29 23:36 JOTD Resolution open => duplicate
2020-08-29 23:36 JOTD Relationship added duplicate of 0004785
+Issue History